Add -fno-safe-haskell flag
ClosedPublic

Authored by mpickering on Nov 20 2018, 6:01 AM.

Details

Summary

This flag can be set to turn off the Safe Haskell checks.

Whether a module is marked Safe/Unsafe/Trustworthy is ignored when
this flag to set.

mpickering created this revision.Nov 20 2018, 6:01 AM
  • Stop infinite loop

Just a few wibbles.

docs/users_guide/safe_haskell.rst
725

Do you mean override instead of overwrite?

728

I suggest the following:

This is particularly useful when compiling using plugins, which usually results in the compiled modules being marked as unsafe.

mpickering updated this revision to Diff 18901.Nov 27 2018, 3:57 AM
  • Address Ben's comments

Updated with Ben's comments now.

tdammers accepted this revision.Dec 3 2018, 8:09 AM
This revision is now accepted and ready to land.Dec 3 2018, 8:09 AM
This revision was automatically updated to reflect the committed changes.